<!-- meta tags and other links -->
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>{{ gs()->siteName($pageTitle ?? '') }}</title>

        <link type="image/png" href="{{ siteFavicon() }}" rel="shortcut icon">
        <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
        <link href="{{ asset('assets/global/css/bootstrap.min.css') }}" rel="stylesheet">

        <link href="{{ asset('assets/admin/css/vendor/bootstrap-toggle.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/global/css/all.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/global/css/line-awesome.min.css') }}" rel="stylesheet">

        @stack('style-lib')

        <link href="{{ asset('assets/global/css/select2.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/admin/css/app.css') }}" rel="stylesheet">

        <link href="{{ asset('assets/admin/css/custom.css') }}" rel="stylesheet">

        @stack('style')
    </head>

    <body>
        @yield('content')

        <script src="{{ asset('assets/global/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('assets/global/js/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('assets/admin/js/vendor/bootstrap-toggle.min.js') }}"></script>

        @include('partials.notify')
        @stack('script-lib')

        <script src="{{ asset('assets/global/js/nicEdit.js') }}"></script>

        <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>
        <script src="{{ asset('assets/admin/js/app.js') }}"></script>

        {{-- LOAD NIC EDIT --}}
        <script>
            "use strict";
            bkLib.onDomLoaded(function() {
                $(".nicEdit").each(function(index) {
                    $(this).attr("id", "nicEditor" + index);
                    new nicEditor({
                        fullPanel: true
                    }).panelInstance('nicEditor' + index, {
                        hasPanel: true
                    });
                });
            });
            (function($) {
                $(document).on('mouseover ', '.nicEdit-main,.nicEdit-panelContain', function() {
                    $('.nicEdit-main').focus();
                });

                $('.breadcrumb-nav-open').on('click', function() {
                    $(this).toggleClass('active');
                    $('.breadcrumb-nav').toggleClass('active');
                });

                $('.breadcrumb-nav-close').on('click', function() {
                    $('.breadcrumb-nav').removeClass('active');
                });

                if ($('.topTap').length) {
                    $('.breadcrumb-nav-open').removeClass('d-none');
                }
            })(jQuery);
        </script>

        @stack('script')

    </body>

</html>
